# Parameters

## `privatekey_path` (string)

Note: this parameter is for authorizer service.

The path of private key of the authentication service. The key must be in PEM format.

This parameter is required by authentication service.

### Set `privatekey_path` parameter

    ...
    modparam("auth_identity","privatekey_path","/etc/ssl/private/key.pem")
    ...

## `certificate_path` (string)

Note: this parameter is for authorizer service.

The path of certificate of the authentication service. The certificate must be in PEM format.

This parameter is required by authentication service.

### Set `certificate_path` parameter

    ...
    modparam("auth_identity","certificate_path","/var/www/ssl/mycert.pem")
    ...

## `certificate_url` (string)

Note: this parameter is for authorizer service.

The url where certificate is available for other verifier services. (value of Identity-info header) The certificate should be in DER format.

This parameter is required by authentication service.

### Set `certificate_url` parameter

    ...
    modparam("auth_identity","certificate_url","https://foo.bar/mycert.der")
    ...

## `msg_timeout` (integer)

Note: this parameter is for authorizer service.

If the Date header of message which is needed to be authenticated contains a time different by more than this seconds from the current time noted by the authentication service then it rejects the message.

This parameter is optional. The default value is "600".

### Set `msg_timeout` parameter

    ...
    modparam("auth_identity","msg_timeout",600)
    ...

## `auth_validity_time` (integer)

Note: this parameter is for verifier service.

The validity time of an authenticated message. The message will be refused if it contains a time different by more than this seconds from the current time noted by the verification service.

This parameter is optional. The default value is "3600".

### Set `auth_validity_time` parameter

    ...
    modparam("auth_identity","auth_validity_time",3600)
    ...

## `callid_cache_limit` (integer)

Note: this parameter is for verifier service.

The number of Call-IDs stored in order to recognize call replay attacks. A Call-ID is stored `auth_validity_time` long and uses approximately 100 bytes memory.

This parameter is optional. The default value is "32768". (you should increase the size of shared memory with -m command line switch if you liked to store more callid than 10000)

### Set `auth_validity_time` parameter

    ...
    modparam("auth_identity","callid_cache_limit",32768)
    ...

## `certificate_cache_limit` (integer)

Note: this parameter is for verifier service.

The number of certificates stored in order to avoid needless download. A certificate is stored until its expiration date and uses approximately 600 bytes memory.

This parameter is optional. The default value is "4096".

### Set `certificate_cache_limit` parameter

    ...
    modparam("auth_identity","certificate_cache_limit",4096)
    ...

## `cainfo_path` (string)

Note: this parameter is for verifier service.

A file of trusted certificates. The file should contain multiple certificates in PEM format concatenated together. It could be useful for verifying a certificate signed by a private CA.

This parameter is optional. It has not got default value.

### Set `cainfo_path` parameter

    ...
    modparam("auth_identity","cainfo_path","/etc/ssl/certs/ca-certificates.crt")
    ...

## `accept_pem_certs` (int)

Note: this parameter is for verifier service.

Enables the acquired certificate processing if it is in PEM format. Value can be 0 or 1.

This parameter is optional. The default value is "0".

### Set `accept_pem_certs` parameter

    ...
    modparam("auth_identity","accept_pem_certs",1)
    ...